Package org.eclipse.jdt.ui.text.folding

# Interface IScopedJavaFoldingPreferenceBlock

All Superinterfaces:
  `IJavaFoldingPreferenceBlock`

public interface IScopedJavaFoldingPreferenceBlock extends IJavaFoldingPreferenceBlock
Extends `IJavaFoldingPreferenceBlock` for supporting preferences in a given scope (e.g. projects).

Since:
  3.35

## Method Summary

Modifier and Type
Method
Description
`default void`
`setScopeContext(org.eclipse.core.runtime.preferences.IScopeContext context)`
Marks this preference block to be configured in an `IScopeContext`.

### Methods inherited from interface org.eclipse.jdt.ui.text.folding.IJavaFoldingPreferenceBlock

`createControl, dispose, initialize, performDefaults, performOk`

## Method Details

### setScopeContext

default void setScopeContext(org.eclipse.core.runtime.preferences.IScopeContext context)
Marks this preference block to be configured in an `IScopeContext`.

Parameters:
  `context` - The scope context the preferences apply to.